## org.apache.myfaces.custom.tree2
Interface TreeState

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  TreeStateBase

public interface TreeState
extends java.io.Serializable

Method Summary
`void` `collapsePath(java.lang.String[] nodePath)` Collapse the complete path specified.
`void` `expandPath(java.lang.String[] nodePath)` Expand the complete path specified.
`boolean` `isNodeExpanded(java.lang.String nodeId)` Indicates whether or not the specified `TreeNode` is expanded.
`boolean` `isTransient()` Getter for transient property.
`void` `setTransient(boolean trans)` Setter for transient property
`void` `toggleExpanded(java.lang.String nodeId)` Toggle the expanded state of the specified `TreeNode`.

Method Detail

### isNodeExpanded

    public boolean isNodeExpanded(java.lang.String nodeId)

  Indicates whether or not the specified `TreeNode` is expanded.

  Parameters:
    `nodeId` - The id of the node in question.
  Returns:
    If the node is expanded.

### toggleExpanded

    public void toggleExpanded(java.lang.String nodeId)

  Toggle the expanded state of the specified `TreeNode`.

  Parameters:
    `nodeId` - The id of the node whose expanded state should be toggled.

### expandPath

    public void expandPath(java.lang.String[] nodePath)

  Expand the complete path specified. If any node in the path is already expanded, that node should be left as it is.

  Parameters:
    `nodePath` - The path to be expanded.

### collapsePath

    public void collapsePath(java.lang.String[] nodePath)

  Collapse the complete path specified. If any node in the path is already collapsed, that node should be left as it is.

  Parameters:
    `nodePath` - The path to be collapsed.

### isTransient

    public boolean isTransient()

  Getter for transient property.

  Returns:
    boolean

### setTransient

    public void setTransient(boolean trans)

  Setter for transient property

  Parameters:
    `trans` - boolean